### Struct

# EDataServer OperationPool

since: 3.2

#### Description [src]

    struct EOperationPool {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.2

#### Functions

###### e_operation_pool_new

No description available.

since: 3.2

#### Instance methods

###### e_operation_pool_free

Frees previously created `pool`.

since: 3.2

###### e_operation_pool_push

Pushes an operation to be processed. `opdata` is passed to the function provided in e_operation_pool_new().

since: 3.2

###### e_operation_pool_release_opid

Releases `opid` previously reserved by e_operation_pool_reserve_opid().

since: 3.2

###### e_operation_pool_reserve_opid

Reserves new operation ID, which is returned. This operation ID may be released by `e_operation_pool_release_opid()` when the operation is finished.

since: 3.2